package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.StringJoiner;

/**
 * 【请填写功能名称】对象 t_search_location_info
 *
 * @author ruoyi
 * @date 2023-09-16
 */
public class TSearchLocationInfoVo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    private Long user_id;

    /**
     * 设备id
     */
    @Excel(name = "设备id")
    private Long device_id;

    /**
     * 设备手机号
     */
    @Excel(name = "设备手机号")
    private String device_tel;

    /**
     * 设备身份证ID
     */
    @Excel(name = "设备身份证ID")
    private String device_card_id;

    /**
     * 设备标识ID_CODE
     */
    @Excel(name = "设备标识ID_CODE")
    private String device_id_code;

    /**
     * 客户姓名
     */
    @Excel(name = "客户姓名")
    private String user_nick_name;

    /**
     * 客户性别（1男 2女）
     */
    @Excel(name = "客户性别（1男 2女）")
    private String user_gender;

    /**
     * 客户紧急联系人电话1
     */
    @Excel(name = "客户紧急联系人电话1")
    private String user_tel_1;

    /**
     * 客户紧急联系人电话2
     */
    @Excel(name = "客户紧急联系人电话2")
    private String user_tel_2;

    /**
     * 客户紧急联系人电话3
     */
    @Excel(name = "客户紧急联系人电话3")
    private String user_tel_3;

    /**
     * 客户身份证ID
     */
    @Excel(name = "客户身份证ID")
    private String user_card_id;
    /**
     * 围栏id
     */
    @Excel(name = "围栏id")
    private String fence_id;
    /**
     * 围栏gfid
     */
    @Excel(name = "围栏gfid")
    private String fence_gfid;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUser_id() {
        return user_id;
    }

    public void setUser_id(Long user_id) {
        this.user_id = user_id;
    }

    public Long getDevice_id() {
        return device_id;
    }

    public void setDevice_id(Long device_id) {
        this.device_id = device_id;
    }

    public String getDevice_tel() {
        return device_tel;
    }

    public void setDevice_tel(String device_tel) {
        this.device_tel = device_tel;
    }

    public String getDevice_card_id() {
        return device_card_id;
    }

    public void setDevice_card_id(String device_card_id) {
        this.device_card_id = device_card_id;
    }

    public String getDevice_id_code() {
        return device_id_code;
    }

    public void setDevice_id_code(String device_id_code) {
        this.device_id_code = device_id_code;
    }

    public String getUser_nick_name() {
        return user_nick_name;
    }

    public void setUser_nick_name(String user_nick_name) {
        this.user_nick_name = user_nick_name;
    }

    public String getUser_gender() {
        return user_gender;
    }

    public void setUser_gender(String user_gender) {
        this.user_gender = user_gender;
    }

    public String getUser_tel_1() {
        return user_tel_1;
    }

    public void setUser_tel_1(String user_tel_1) {
        this.user_tel_1 = user_tel_1;
    }

    public String getUser_tel_2() {
        return user_tel_2;
    }

    public void setUser_tel_2(String user_tel_2) {
        this.user_tel_2 = user_tel_2;
    }

    public String getUser_tel_3() {
        return user_tel_3;
    }

    public void setUser_tel_3(String user_tel_3) {
        this.user_tel_3 = user_tel_3;
    }

    public String getUser_card_id() {
        return user_card_id;
    }

    public void setUser_card_id(String user_card_id) {
        this.user_card_id = user_card_id;
    }

    public String getFence_id() {
        return fence_id;
    }

    public void setFence_id(String fence_id) {
        this.fence_id = fence_id;
    }

    public String getFence_gfid() {
        return fence_gfid;
    }

    public void setFence_gfid(String fence_gfid) {
        this.fence_gfid = fence_gfid;
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", TSearchLocationInfoVo.class.getSimpleName() + "[", "]")
                .add("id=" + id)
                .add("user_id=" + user_id)
                .add("device_id=" + device_id)
                .add("device_tel='" + device_tel + "'")
                .add("device_card_id='" + device_card_id + "'")
                .add("device_id_code='" + device_id_code + "'")
                .add("user_nick_name='" + user_nick_name + "'")
                .add("user_gender='" + user_gender + "'")
                .add("user_tel_1='" + user_tel_1 + "'")
                .add("user_tel_2='" + user_tel_2 + "'")
                .add("user_tel_3='" + user_tel_3 + "'")
                .add("user_card_id='" + user_card_id + "'")
                .add("fence_id='" + fence_id + "'")
                .add("fence_gfid='" + fence_gfid + "'")
                .toString();
    }
}
